from qtpy.QtWidgets import QToolBar


class CustomToolBar(QToolBar):
    """
    A custom implementation of QToolBar that reimplemented contextMenuEvent
    so that the toolbar is no longer removable.
    """

    def __init__(self, text):
        super().__init__(text)

    def contextMenuEvent(self, event):
        pass
