from simudator.core.processor import Processor

TEST_PATH = "test/test_core/processor_state_test.txt"


class Dummymodule:
    def __init__(self, name):
        self.name = name
        self.string = None

    def load_from_str(self, string):
        self.string = string

    def get_string(self):
        return self.string


def test_load_from_file():
    cpu = Processor()
    dummy1 = Dummymodule("PM1")
    dummy2 = Dummymodule("PM2")
    cpu.add_module(dummy1)
    cpu.add_module(dummy2)

    cpu.load_state_from_file(TEST_PATH)

    assert dummy1.get_string() == "00: 0001\n"
    assert dummy2.get_string() == "00: 0002\n01: 0003\n"
