from simudator.gui.module_graphics_item.register_graphic import (
    IntegerRegisterGraphicsItem,
)
from simudator.gui.port_graphics_item import PortGraphicsItem


class HrGraphicsItem(IntegerRegisterGraphicsItem):
    """
    Graphics module for mia's HR module.
    """

    def draw_graphics_item(self):
        self.draw_rect()

        width = (
            len(self.text.text()) * self._RECT_WIDTH_PER_CHAR + self._TEXT_WIDTH_MARGIN
        )

        # Draw to bus port
        to_bus_port = PortGraphicsItem(self.module.input_s, parent=self)
        to_bus_port.setPos(width, self._RECT_HEIGHT / 4)
        self.ports.append(to_bus_port)

        # Draw from bus port
        from_bus_port = PortGraphicsItem(self.module.output_s, parent=self)
        from_bus_port.setPos(width, self._RECT_HEIGHT * 3 / 4)
        self.ports.append(from_bus_port)
